PiFace Digital 2

  • Hallo zusammen,


    auf dem neuesten Raspbian (Debian Buster) versuche ich die dazugehörige Software zu installieren für PiFace Digital 2 zu installieren.


    sudo apt - get install python3 - pifacedigital - emulator


    Danach erscheint immer die Fehlermeldung: "Packet python3-pifacedigitalio kann nicht gefunden werden."


    Kann mir jemand sagen, wie ich die Software für Python3 installiere?


    Vielen Dank und viele Grüße.


    whitechristmas

  • Hallo, whitechristmas!


    Leider habe Ich -wie immer- keine Dokumentation betrieben, als Ich damals (noch vor Christmas...) mal versuchsweise buster auf meinem alten Pi installiert habe und erst mal mit dem piface nicht weiterkam.

    Irgendwie läuft es halt jetzt und Ich weiß nicht mehr genau, warum.:/

    Die Dokumentation , die vom Hersteller kommt, war jedenfalls schon immer äußerst mies.


    Das habe Ich noch in meiner bash-History, weil Ich's wohl irgendwie erquantet habe:

    Code
    sudo pip3 install pifacecommon
    sudo pip3 install pifacedigitalio

    Damals ließ sich das piface dann allerdings noch nicht nutzen, Ich weiß noch, dass Ich zuerst eine Datei abändern musste. Wenn Ich mir die aber jetzt bei mir ansehe, scheint es über eine Aktualisierung geändert worden zu sein.

    Also versuche erst mal das obige.


    Viel Erfolg;

    rasray

  • Hi, whitechristmas;


    ...funktioniert leider auch nicht... heißt was?

    Das Installieren oder das Board funktioniert nicht?


    Falls Du konkret den emulator meinst: Da sieht es wohl schlecht aus:

    https://github.com/piface/pifacedigital-emulator/issues/9


    "csoutreach" scheint wohl irgendwie zu dem Laden zu gehören und stellt sich jetzt einfach tot.

    Im github ist alles 5-7 Jahre alt, eigentlich eine ziemliche S...... , ein Produkt zu verkaufen und sich überhaupt nicht mehr um den minimalsten Support zu kümmern!


    rasray